--TEST--
cubrid_put
--SKIPIF--
<?php
require_once('skipif.inc');
require_once('skipifconnectfailure.inc')
?>
--FILE--
<?php

include_once("connect.inc");

$conn = cubrid_connect_with_url($connect_url, $user, $passwd);
if (!$conn) {
    printf("[001] [%d] %s\n", cubrid_errno($conn), cubrid_error($conn));
    exit(1);
}

require_once("table.inc");

cubrid_execute($conn, "INSERT INTO php_cubrid_test(a, b, c, d) VALUES (1, {1,2,3}, {11, 22, 33, 333}, 'a')");

if (!$req = cubrid_execute($conn, "select * from php_cubrid_test", CUBRID_INCLUDE_OID)) {
    printf("[002] [%d] %s\n", cubrid_errno($conn), cubrid_error($conn));
}

$oid = cubrid_current_oid($req);
if (is_null ($oid)){
    printf("[003] [%d] %s\n", cubrid_errno($conn), cubrid_error($conn));
}

cubrid_move_cursor($req, 1, CUBRID_CURSOR_FIRST);
$attr = cubrid_col_get($conn, $oid, "b");
var_dump($attr);

cubrid_put($conn, $oid, "b", array(2, 4, $attr));
cubrid_put($conn, $oid, "b", array(2, 4, NULL));
cubrid_put($conn, $oid, "b", array(2, 4, '123'));
cubrid_put($conn, $oid, "b", array(2, 4, 8));

$attr = cubrid_col_get($conn, $oid, "b");
var_dump($attr);

$attr = cubrid_put($conn, $oid, array("a" => 2, "b" => array(7,8,9), "c" => array(77,88,99,999), "d" => "z"));

$attr = cubrid_col_get($conn, $oid, "b");
var_dump($attr);

cubrid_disconnect($conn);

print "done!";
?>
--CLEAN--
--EXPECTF--
array(3) {
  [0]=>
  string(1) "1"
  [1]=>
  string(1) "2"
  [2]=>
  string(1) "3"
}

Warning: Error: CLIENT, -30008, Invalid type in %s
array(3) {
  [0]=>
  string(1) "2"
  [1]=>
  string(1) "4"
  [2]=>
  string(1) "8"
}
array(3) {
  [0]=>
  string(1) "7"
  [1]=>
  string(1) "8"
  [2]=>
  string(1) "9"
}
done!
